#### Previous topic

scipy.constants.K2F

#### Next topic

scipy.constants.nu2lambda

# scipy.constants.lambda2nu

`scipy.constants.``lambda2nu`(lambda_)

  Convert wavelength to optical frequency

  Parameters:

  lambda_ : array_like

  > Wavelength(s) to be converted.

  Returns:

  nu : float or array of floats

  > Equivalent optical frequency.

  Notes

  Computes `nu = c / lambda` where c = 299792458.0, i.e., the (vacuum) speed of light in meters/second.

  Examples

      >>> from scipy.constants import lambda2nu, speed_of_light
      >>> lambda2nu(np.array((1, speed_of_light)))
      array([  2.99792458e+08,   1.00000000e+00])